filepicker_not_android_x 0.1.1
filepicker_not_android_x: ^0.1.1 copied to clipboard

Flutter Android iOS

A plugin that allows you to pick absolute paths from diferent file types. This version is used for project can't use androidX

0
likes
55 / 110
pub points
41 %
popularity

We analyzed this package on Jan 15, 2021, and awarded it 55 pub points (of a possible 110):

Follow Dart file conventions
5 / 20

0/10 points: Provide a valid pubspec.yaml

Homepage URL doesn't exist.

At the time of the analysis https://github.com/hieuhust/plugins_flutter_file_picker was unreachable.

5/5 points: Provide a valid README.md

0/5 points: Provide a valid CHANGELOG.md

CHANGELOG.md is empty.

Changelog entries help developers follow the progress of your package. See the example generated by stagehand.

Provide documentation
10 / 20

10/10 points: Package has an example

  • Found example at: example/lib/main.dart

0/10 points: 20% or more of the public API has dartdoc comments

  • 2 out of 11 API elements (18.2 %) have documentation comments.

Providing good documentation for libraries, classes, functions, and other API elements improves code readability and helps developers find and use your API. Document at least 20% of the public API elements.

Support multiple platforms
10 / 20

10/20 points: Supports 2 of 3 possible platforms (iOS, Android, Web)

Found 6 issues. Showing the first 2:

Consider supporting multiple platforms:

Package does not support Flutter platform Web

Because:

  • package:filepicker_not_android_x/filepicker_not_android_x.dart that declares support for platforms: Android, iOS
Pass static analysis
20 / 30

20/30 points: code has no errors, warnings, lints, or formatting issues

lib/filepicker_not_android_x.dart is not formatted according to dartfmt

To format your files run: dartfmt -w .

Support up-to-date dependencies
10 / 20

0/10 points: All of the package dependencies are supported in the latest version

PackageConstraintCompatibleLatest
image_picker^0.4.12+10.4.12+10.6.7+21
meta^1.1.51.3.0-nullsafety.61.3.0-nullsafety.6
Transitive dependencies
PackageConstraintCompatibleLatest
characters-1.1.0-nullsafety.51.1.0-nullsafety.5
collection-1.15.0-nullsafety.51.15.0-nullsafety.5
typed_data-1.3.0-nullsafety.51.3.0-nullsafety.5
vector_math-2.1.0-nullsafety.52.1.0-nullsafety.5

To reproduce run pub outdated --no-dev-dependencies --up-to-date --no-dependency-overrides.

The constraint `^0.4.12+1` on image_picker does not support the latest published version `0.6.7+21`

pubspec.yaml:11:17

   ╷
11 │   image_picker: ^0.4.12+1
   │                 ^^^^^^^^^
   ╵

10/10 points: Package supports latest stable Dart and Flutter SDKs

0
likes
55
pub points
41%
popularity

A plugin that allows you to pick absolute paths from diferent file types. This version is used for project can't use androidX

Repository (GitHub)
View/report issues

Documentation

API reference

Uploader

hieua2m@gmail.com

License

MIT (LICENSE)

Dependencies

flutter, image_picker, meta

More

Packages that depend on filepicker_not_android_x